2009-10-13  Tobias Bratfisch <tobias@bratfisch.net>

	* src/gtkam-config.c: Add an Apply button to the configuration window.

2009-07-22  Marcus Meissner  <marcus@jet.franken.de>

	* src/*.c: Disabled rename possibility (won't really work for most cameras).
	  put_file also in libgphoto2 2.5 version.

	  => gtkam now builds under libgphoto2 TRUNK.

2008-12-28  Heiko.L. <h.lehmann@fh-lausitz.de>

	* src/gtkam-list.c: add col file:mtime

2008-10-17  Marcus Meissner  <marcus@jet.franken.de>

	* */*: integrated libtool/intltoolize patches
	  and fixed up make distcheck

2008-10-04  Marcus Meissner  <marcus@jet.franken.de>

	* */*.[ch]: Adjusted copyright information, also
	  replaced LGPL header by the wanted GPL 2+ header.

2006-12-28  Hubert Figuiere  <hub@figuiere.net>

	* po/sk.po: Added slovak translation:
	https://sourceforge.net/tracker/index.php?func=detail&aid=1623622&group_id=8874&atid=108874

2006-12-26  Hubert Figuiere  <hub@figuiere.net>

	* fix .png that were corrupted from CVS to Subversion

2006-01-21  Hubert Figuiere  <hub@figuiere.net>

	* gtkam.desktop (Categories): Added "GTK" as it is required by 
	the standard and removed "Application" that is not part of it.
	(Categories): "Added Photography"

2005-12-30  Hubert Figuiere  <hub@figuiere.net>

	* CHANGES: Added CHANGES file.

	* configure.in: version 0.1.13

	* src/gtkam-main.c: Help item shortcut is F1. bug #1235180

2005-04-20  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-main.c: Replace deprecated GtkMenuItems with GtkActionItems

2005-04-14 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* */configure.in, */Makefile.am, ...: updated build system.
	  See "./autogen.sh --help" and ./configure --help" for help.
	* m4/, m4m/: use common m4 macro dir "m4m" now ("cvs co m4m")

2005-02-02  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-config.c: Reintegrate Pat's config changes, which were
	  accidentally left out of a subsequent update.

2005-02-02  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-delete.c, src/gtkam-delete.h, src/gtkam-list.c: Delete All
	  command now calls gp_camera_folder_delete_all, instead of
	  gp_camera_file_delete for each file. Fixes bug #695074.

2005-01-30  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-config.c: Remove Apply/Close buttons, replace with Cancel.
	* src/gtkam-info.c: Remove Revert/Apply functionality, make filesize
	  more HIG-friendly.

2005-01-27  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-save.c: Don't insert 'photo' if no prefix is entered,
	  warn user if nothing is to be saved.

2005-01-24  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-chooser.c: Use GtkExpander to hide advanced options.
	* configure.in: Change version number to begin new release cycle
	* src/gtkam-save.c, src/gtkam-save.h: Migrated to GtkFileChooser

2005-01-22  Patrick Mansfield <patmans@users.sourceforge.net>

	* src/gtkam-debug.c: Fix so you can actually save the debug
	  output.

2005-01-22  Patrick Mansfield <patmans@users.sourceforge.net>

	* src/gtkam-config.c: Restore and store camera config window size.

2005-01-17  Colin Marquardt  <colin@marquardt-home.de>

	* po/ja.po: Update thanks to Tadashi Jokagi.

	* po/hu.po: Translation thanks to Marton Nemeth.

2004-10-25  Marcus Meissner  <marcus@jet.franken.de>
	
	* po/no.po,nb.po,configure.in: Renamed no -> nb.po

2004-04-30  Marcus Meissner  <marcus@jet.franken.de>

	* src/gtkam-config.c: Fixed strict aliasing issues in code.

2004-04-27  Andrew Burton <adburton@users.sourceforge.net>

	* configure.in, help/C/gtkam.xml: Update version number
	for release.

2004-04-21  Andrew Burton <adburton@users.sourceforge.net>

	* src/util.c: Modified check for existence of file to
	use GLib command.

2004-04-18  Andrew Burton <adburton@users.sourceforge.net>

	* src/Makefile.am: Removed DEPRECATED flags.
	* src/gtkam-save.c: Patch to fix memory leak from Shotaro
	Kamio (skamio6@users.sourceforge.net).

2004-04-16  Andrew Burton <adburton@users.sourceforge.net>

	* src/configure.in: Changed so --without-bonobo flag
	works.
	* src/gtkam-save.c: Abort save if an error occurs while
	saving. Spawn single instance of external program, not
	one for each file.

2004-04-13  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-delete.c, src/gtkam-delete.h: Change to use
	GtkDialog layout, to fit with Gnome HIG.
	* src/gtkam-exif.c: Hack to work around failure to retrieve
	EXIF data properly in the library.
	
2004-02-15  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-save.c: Fix compile errors.

2004-02-15  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-save.c: If an error occurs during saving,
	abort.
	* src/gtkam-tree.c: Make popup menu-entries less terse.
	* src/gtkam-list.c: Make popup menu-entries less terse.

2004-02-11  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-viewer.c: Fixed compiler warnings, removed
	redundant printf()s.

2004-02-10  Andrew Burton <adburton@users.sourceforge.net>

	* help/C/gtkam.xml: Minor changes prior to release.

2004-02-04  Andrew Burton <adburton@users.sourceforge.net>

	* Makefile.am: Add files NEWS, README and TODO to
	documentation directory.

2004-02-02  Andrew Burton <adburton@users.sourceforge.net>

	*src/gtkam-main.c: Add 'Refresh' button (fixes SF feature
	request 846947)

2004-02-01  Andrew Burton <adburton@users.sourceforge.net>

	GUI improvements to match Gnome HIG:

	* src/gtkam-save.c
	* src/gtkam-error.c
	* src/gtkam-error.h
	* src/gtkam-port.c

2004-01-26  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-save.c: Applied patch from Nils Rennebarth
	(nilsr@users.sourceforge.net) to make save dialog remember
	defaults (fixes SF feature request 865910).

2004-01-22  Andrew Burton <adburton@users.sourceforge.net>

	* Makefile.am: Add EXTRA_DIST clause so gtkam.desktop and
	gtkam.png are included with tarballs.
	* src/gtkam-list.c: Applied patch from Nils Rennebarth
	(nilsr@users.sourceforge.net) to make save progress transient
	to the main window.

2004-01-21  Andrew Burton <adburton@users.sourceforge.net>

	* configure.in: Fix missing Makefile clauses for omf-install
	and help subdirectories.

2004-01-17  Marcus Meissner <marcus@jet.franken.de>
	
	* src/gtkam-save.c: Fixed small memleak.
	
2004-01-14  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-tree.c: When loading cameras, destroy status widget
	when finished to prevent duplicate status lines appearing.
	* src/gtkam-list.c: When saving and deleting files from the
	context menu, allow for more than one file to be processed (fixes
	Debian bug #205460); destroy status widget when finished loading
	thumbnail (fixes Debian bug #198335); modify check for thumbnail
	loading so thumbnails for all possible files are shown, not just
	pictures (fixes Debian bug #198335, SF feature request #358874).

2004-01-14  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-tree.c: Set window title to Select Camera 
	when right-clicking on camera name

2004-01-14  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-viewer.c: Modify built-in viewer to open image at
	  640x480 with no camera icon, set window title to be the filename.

2004-01-13  Andrew Burton <adburton@users.sourceforge.net>

	* src/gtkam-chooser.c: Change window title to Add Camera for
	consistency with menu items.

	Added gtkam-specific Help

	* configure.in: Remove check for gphoto-manual
	* src/Makefile.am: Modify APP_DATADIR location

2004-01-10  Andrew Burton <adburton@users.sourceforge.net>

	Modify Save and Delete menu option sensitivity handling:

	* src/gtkam-main.c

	Added gtkam-specific Help and .desktop entry for Gnome menu

	* src/main.c: Add APP_DATADIR clause to gnome_program_init
	* Makefile.am: Add help omf-install to SUBDIRS
	  Add gtkamdoc_DATA, desktop_DATA and icon_DATA handling

2004-01-10  Lutz Mueller <lutz@users.sourceforge.net>

	* src/gtkam-save.c: Fix my latest commit.

2004-01-08  Lutz Mueller <lutz@users.sourceforge.net>

	Fix by Nils Rennebarth <Nils.Rennebarth@web.de>:

	* src/gtkam-save.c: Remember the main window.

2003-12-09  Lutz Mueller <lutz@users.sourceforge.net>

	Fix by Andrew Burton <adb@iinet.net.au> for:

	* src/gtkam-save.c: When choosing Save All with Use Camera Filenames
	on, it doesn't save tothe chosen folder - it saves one folder higher
	in the folder hierarchy.

2003-12-07  Lutz Mueller <lutz@users.sourceforge.net>

	More GUI improvements by Andrew Burton <adb@iinet.net.au>:

	* src/gtkam-info.c: Check in on_apply... and on_ok... to see whether
	  changes could be> made; if not, then filename change is reverted.

2003-12-06  Lutz Mueller <lutz@users.sourceforge.net>

	More GUI improvements by Andrew Burton <adb@iinet.net.au>:

	* src/gtkam-mkdir.c
	* src/gtkam-delete.c
	* src/gtkam-error.c

2003-12-03  Lutz Mueller <lutz@users.sourceforge.net>

	More suggestions by Andrew Burton <adb@iinet.net.au> without 
	ChangeLog

	* src/gtkam-chooser.c: GUI improvements.

2003-12-02  Lutz Mueller <lutz@users.sourceforge.net>

	Patch originally by Andrew Burton <adb@iinet.net.au>, modified:

	* src/gtkam-chooser.c: Don't add the camera to the tree if something
	  goes wrong.

2003-11-16  Patrick Mansfield <patmans@users.sourceforge.net>

	* gtkam-list.c, gtkam-preview.c: Add checks for GP_ERROR_CAMERA_BUSY.
	  And change gtkam-list.c so that only one thumbnail request is
	  outstanding out a time (only one call to g_idle_add for a list
	  of thumbnails, rather than a g_idle_add call for each
	  thumbnail).

2003-11-05  Patrick Mansfield <patmans@users.sourceforge.net>

	* gtkam-save.c: don't try to exec a callout viewer if the program
	  name is empty. If you specify a viewer, their is still the odd
	  behaviour of the parent exec-ing the viewer and finishing,
	  making it look like gtkam completed.

2003-02-02  Patrick Mansfield <patmans@users.sourceforge.net>

	* gtkam-info.c: use variable info->priv->name vs info->priv->info
	  to fix a core dump when trying to use a "%s" format in
	  gtkam_info_update.

2002-11-08  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.1.10

2002-11-08  Lutz Müller <lutz@users.sourceforge.net>

	* src/main.c: Fix for UTF-8.

2002-11-07  Lutz Müller <lutz@users.sourceforge.net>

	* tests/Makefile.am: Add $(EXIF_CFLAGS)

2002-11-03  Mark McLoughlin <mark@skynet.ie>

	* src/main.c: (main): use #elif defined(HAVE_BONOBO) instead of
	  #elif HAVE_BONOBO

2002-09-19  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Check for the right version of libexif-gtk.

2002-09-17  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-main.c: Fix translation of menus.

2002-09-12  Hans Ulrich Niedermann <gp@n-dimensional.de>
	
	* configure.in: Version 0.1.9dev1 - distinguish from gtk1 version
	
2002-09-02  Patrick Mansfield <patmans@users.sourceforge.net>

	* src/gtkam-preview.c: Add missing call to gtk_object_destroy() in
	  on_preview_capture_clicked.

2002-08-31  gettextize  <bug-gnu-gettext@gnu.org>

	Somehow, I got errors with the --intl option. Don't know if it's 
	needed. Let's try without.

	* Makefile.am (SUBDIRS): Remove intl.
	* configure.in (AC_OUTPUT): Remove intl/Makefile.

2002-08-31  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.in (AC_OUTPUT): Add intl/Makefile.

2002-08-31  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Implement recommendations from gettextize.

2002-08-31  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(SUBDIRS): Remove intl.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath.
	* configure.in (AC_OUTPUT): Add m4/Makefile.

2002-08-31  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-main.c: Use gnome_about (if available).

2002-08-30  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in:
	* src/gtkam-main.c: Use gnome_help_display (if available).

2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Check for gphoto2-manual
	* src/gtkam-main.c: Make /Help/Contents work.

2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Check for libgnome-availablilty
	* src/gtkam-main.c: Add a /Help/Contents menu if libgnome is
	  available.

2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

	#600200:

	* po/POTFILES.in: support.c doesn't exist any more.
	* Makefile.am: $(data) -> $(datadir)

2002-08-08  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-viewer.[c,h]: New.
	* src/gtkam-list.c: Hook up the viewer.

2002-08-07  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-main.c: Hook up the debug dialog.

2002-08-03  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-list.c: Make "View as" functional.

2002-08-02  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Use bonobo if available.

2002-07-26  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-list.c: Remove some non-functional d&d code.

2002-07-26  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-main.c: Move the zoom items into a toolbar.

2002-07-26  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-list.c: Give users the possibility to zoom into the
	  previews.

2002-07-26  Lutz Müller <lutz@users.sourceforge.net>

	* src/support.[c,h]: Removed.

2002-07-23  Lutz Müller <lutz@users.sourceforge.net>

	* test/Makefile.am: Add $(EXIF_[CFLAGS,LIBS]).

2002-07-23  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.1.9

2002-07-23  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-exif.h: Hook up libexif-gtk.

2002-07-22  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-status.c: More user feedback.

2002-07-22  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-tree.c: Tell people in a tooltip that a right-click
	  menu exists.

2002-07-22  Lutz Müller <lutz@users.sourceforge.net>

	* src/main.c: Remember the window's size.
	* src/gtkam-save.c: Update the progress bars.

2002-07-22  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.1.8

2002-07-20  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-config.c: Give users the possibility to set the camera's 
	  time to the system's one.

2002-07-11  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-gimp.c: Finish port.

2002-07-10  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Fix check for gimp.
	* src/gtkam-gimp.c: Port to gimp-1.3. Compiles, but does not work yet.

2002-07-10  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Arnaud Launay <asl@launay.org>:

	* autogen.sh: Check for pkg-config.

2002-07-05  Lutz MÜller <lutz@users.sourceforge.net>

	* autogen.sh: Readded.
	* src/gtkam-clist.[c,h]: Removed.

2002-07-05  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-list.c: Allow editing the file name directly in the table.

2002-07-05  Lutz Müller <lutz@users.sourceforge.net>

	* autogen.sh: Removed. Use aclocal, autoheader, etc. directly.

2002-06-28  Lutz Müller <lutz@users.sourceforge.net>

	* src: Start porting.

2002-06-28  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Require gtk-2.0
	* README: Add a note that this is work in progress and that people
	  should check out the gtkam-gtk-1 branch.

2002-06-27  Lutz Müller <lutz@users.sourceforge.net>

	Patches by Arnaud Launay <asl@launay.org>:

	* acinclude.m4: Removed.
	* autogen.sh: Reflect above.

2002-06-27  Lutz Müller <lutz@users.sourceforge.net>

	New file by Arnaud Launay <asl@launay.org>:

	* autogen.sh: New.

2002-06-26  Lutz Müller <lutz@users.sourceforge.net>

	Arnaud Launay <asl@launay.org>:

	* Makefile.am: -tar instead of $(TAR).

2002-06-26  Lutz Müller <lutz@users.sourceforge.net>

	Patrick Mansfield <patman@aracnet.com> spotted a bug which I am 
	trying to fix by ...

	* src/gtkam-preview.c: ... destroying the preview only after no
	  more idle calls are waiting.

2002-06-26  Lutz Müller <lutz@users.sourceforge.net>

	* autogen.sh: Removed. Will check in a simplified version later.

2002-06-26  Lutz Müller <lutz@users.sourceforge.net>

	Patches by Arnaud Launay <asl@launay.org>:

	* configure.in
	* Makefile.am: Check for rpm

2002-06-19  Lutz Müller <lutz@users.sourceforge.net>

	* src/Makefile.am: -D some variables instead of putting them 
	  into config.h
	* configure.in: Version 0.1.7

2002-06-19  Lutz Müller <lutz@users.sourceforge.net>

	* acconfig.h: Removed.
	* configure.in: Version 0.1.6

2002-05-21  Lutz Müller <lutz@users.sourceforge.net>

	Fix the patch by Alvaro <psst@euskalnet.net> (2002-04-04):

	* src/gtkam-save.c: Cleanup.

2002-05-13  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-main.c: Put some menu items back into the Camera menu.

2002-05-13  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.1.5

2002-05-13  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-gimp.c: Prevent crash by using gimp_ui_init.

2002-05-12  Lutz Müller <lutz@users.sourceforge.net>

	* test/*: New
	* src/*: First steps to get the gimp plugin to work again.

2002-05-11  Lutz Müller <lutz@users.sourceforge.net>

	* src/*.c: Fix some small bugs.

2002-05-06  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in:
	* src/*.c: Conditional support for gp_camera_set_timeout_funcs.

2002-05-04  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.1.4

2002-05-03  Lutz Müller <lutz@users.sourceforge.net>

	* src/*: Small fixes and cleanup.

2002-05-03  Lutz Müller <lutz@users.sourceforge.net>

	* src/*: Support multiple cameras. 

2002-05-03  Lutz Müller <lutz@users.sourceforge.net>

	* src/*: Make more functions available through right-click.

2002-04-28  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Arnaud Rouanet <rouanet@labri.fr>:

	* configure.in: Use AM_PATH_GIMP.

2002-04-17  Lutz Müller <lutz@users.sourceforge.net>

	* src/*: Fix #536011. I probably broke everything else... I am going
	  to clean up the mess later.

2002-04-09  Lutz Müller <lutz@users.sourceforge.net>

	Bug noticed by Patrick Mansfield <patman@aracnet.com>:

	* src/gtkam-config.c: zero out the struct tm before usage.

2002-04-09  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Patrick Mansfield <patman@aracnet.com>:

	* src/gtkam-config.c: tm_year starts at 1900, gtk_calendar at 0.

2002-04-04  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Alvaro <psst@euskalnet.net>:

	* src/gtkam-save.c: Added possibility to select number in which files
	  named by gtkam will start

2002-03-28  Lutz Müller <lutz@users.sourceforge.net>

	* src/main.c: Fix memory leak.

2002-03-28  Lutz Müller <lutz@users.sourceforge.net>

	* src/Makefile.am: Added a $(GIMP_CFLAGS).

2002-03-28  Lutz Müller <lutz@users.sourceforge.net>

	In direct response to #536011:

	* src/gtkam-chooser.c: Add a tooltip to make clear that only USB 
	  cameras can be detected.

2002-03-28  Lutz Müller <lutz@users.sourceforge.net>

	Fixes #536016:

	* src/main.c: Set an icon for the application.

2002-03-24  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Patrick Mansfield <patman@aracnet.com>:

	* src/gtkam-config.c: Here's a patch for gtkam to get range/increments
	  working when increment is not one - generally, set the digits 
	  argument to a non-zero value. This patch also changes the page
	  increment to be based on the increment as done for the command-line
	  front end (patch just posted).

2002-03-07  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Added es to ALL_LINGUAS.

2002-02-26  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-info.c: %li instead of %i to fix some compile warnings.
	* src/gtkam-error.c: Check for context == NULL.
	* src/gtkam-config.c: Put the configuration widgets into a 
	  scrolled window. Like that, people can add as many configuration
	  widgets to their drivers as they like.
	  I am not quite satisfied with it, but for now it is ok.

2002-02-02  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Added ja to ALL_LINGUAS.

	* src/gtkam-preview.c: Don't use degree signs in the source.

2002-01-29  Lutz Müller <lutz@users.sourceforge.net>

	* libexif: Doesn't exist any more. Users should get it from 
	  http://www.sourceforge.net/projects/libexif.

2002-01-29  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.1.3

2002-01-27  Lutz Müller <lutz@users.sourceforge.net>

	* src/gtkam-config.c: Fix for camera config dialog.

2002-01-20  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Add pt_BR and pt_PT to ALL_LINGUAS.

2002-01-19  Colin Marquardt  <colin@marquardt-home.de>

	* src/gtkam-save.c: Use full sentences in user output.

2002-01-18  Colin Marquardt  <colin@marquardt-home.de>

	* src/gtkam-config.c
	* src/gtkam-debug.c 
        * src/gtkam-main.c
	* src/gtkam-save.c: Wording changes to improve user interaction.
        * de/de.po: Update.

2002-01-16  Colin Marquardt  <colin@marquardt-home.de>

	* src/gtkam-main.c: Make "About" box translatable.

2002-01-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Add progress and error reporting.

2002-01-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Adapt to changes in gphoto2-camera.h.

2002-01-02  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* src/gtkam-clist.c
	* src/gtkam-mkdir.c: added missing #include <string.h>

2001-12-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Make file download cancellable.

2001-12-19  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/exif.[c,h]: No longer needed.

2001-12-19  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libexif: Hook it up.

2001-12-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-delete.c: Put the list into a scrolled window if it 
	  gets too long.

2001-12-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: To guard against libtool-1.3 versions, add
	  libgphoto2_port libs manually.

2001-11-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Version 0.1.2

2001-11-30  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Check for gimptool, not gimp-config.

2001-11-25  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Display some icons depending on CameraFileInfo

2001-11-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Call gp_camera_exit after each camera operation in order to
	  give other applications the chance to access the camera, too. This
	  should be a configurable option at some time in the future.

2001-11-20  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Prepare file loading from within gimp

2001-11-19  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Bug reported by Mariusz Woloszyn:

	* src/gtkam-main.c
	* src/main.c: Correctly clean up on exit

2001-11-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* Fix translation.

2001-11-15  Colin Marquardt  <colin@marquardt-home.de>

	* po/de.po: Update

2001-11-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Improved GP_WIDGET_DATE.

2001-11-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-config.c: _Basic_ support for GP_WIDGET_DATE.

2001-11-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-main.c: Don't pop up a preview window for cameras that
	  don't support capturing previews.

2001-11-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Gimp plugin should work now.

2001-11-12  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in
	* src/gtkam-gimp.c: Preliminary (ALPHA!!!!) gimp plugin. The most
	  interesting thing here is that it actually won't crash gimp but does
	  indeed display "something"...

2001-11-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-list.c: Call gtk_icon_list_set_text_space here.

2001-11-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-save.c: Support GP_FILE_TYPE_AUDIO

2001-11-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Colin Marquardt <colin@marquardt-home.de>, slightly
	adapted:

	* src/gtkam-tree.c: First show the icon, then the folder,
	  then the contents.

2001-11-05  Colin Marquardt  <colin@marquardt-home.de>

	* po/de.po: Update. Convert quote signs to the ones recommended by
                    the folks at de@li.org.

2001-11-01 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Bug fixes with regard to directory creation and removal

2001-10-31 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* INSTALL: copied from gphoto2 - updated install instructions
	* Makefile.am: removed old spec files, added packaging directory
	* Makefile.am: removed special pixmap rules, added pixmaps dir
	* Makefile.am: added package building rules
	* configure.in: added pixmaps/ and packaging/*
	* configure.in: removed gtkam.spec
	* gtkam.spec.in: removed, new spec file in packaging/rpm/
	* packages/: added
	* packages/Makefile.am: added
	* packages/.cvsignore: added
	* packages/rpm/Makefile.am: added (RPM build rules)
	* packages/rpm/.cvsignore: added
	* packages/rpm/README.rpm: added (from gphoto2)
	* packages/rpm/package.spec.in: the new RPM spec file
	* pixmaps/.cvsignore: added
	* pixmaps/Makefile.am: added, install only required pixmaps

2001-10-29 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/main.c: Look for gphoto2 settings, too.

2001-10-29 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: No need for (gp_camera_init) anymore.

2001-10-29 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Adjust alpha to 127 - that makes those images looking better

2001-10-25 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* art: Some images
	* src: Add camera pictures to the dialogs

2001-10-27 Hans Ulrich Niedermann <gp@n-dimensional.de>
	
	* src/gtkam-main.c: added version information to about dialog
	
2001-10-25 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Adapt to changes in gphoto2-port

2001-10-24 Hans Ulrich Niedermann <gp@n-dimensional.de>
	
	* src/gtkam-debug.c: adapted to new gp_log*() interface - compiles
	again, but debug window is broken

2001-10-23 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src: Updated to new gphoto2 error/logging API

2001-10-22 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-chooser.c
	* src/main.c: Don't use gphoto2-core.h, use gphoto2-abilities-list.h
	  instead.

2001-10-22 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-debug.c: Adjust for changes in gphoto2-port-log.h

2001-10-21 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: added several files to EXTRA_DIST
	* Makefile.am: added intl/ to SUBDIRS
	* configure.in: add .spec file
	* gtkam.spec.in: added first version of spec file
	* src/gtkam-debug.c: save complete debug message buffer, not only up
	  until current pos

2001-10-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Suggestion from Colin Marquardt <colin@marquardt-home.de>:

	* src/gtkam-list.c: Toggle the sensitivity of the "Select" menu items

2001-10-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Suggestion from Colin Marquardt <colin@marquardt-home.de>:

	* src/gtkam-tree.c: Show the number of files

2001-10-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-chooser.c: "Detect" functionality

2001-10-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Colin Marquardt <colin@marquardt-home.de> found that bug:

	* src/gtkam-list.c: Check for event != NULL

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* po/POTFILES.in: Bring up to date

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkiconlist.[c,h]
	* src/gtkitementry.[c,h]: Update to latest version from gtkextra
	  package

2001-10-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-save.[c,h]: New

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-list.[c,h]: New. Not yet finished.

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-tree.[c,h]: New

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-debug.c: Don't use an extra buffer - query the contents
	of the text window instead.

2001-10-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-preview.[c,h]: New

2001-10-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/gtkam-error.[c,h]:
	* src/gtkam-config.[c,h]:
	* src/gtkam-debug.[c,h]: New

2001-10-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* src/* Use the new debugging stuff
